package com.tenlionsoft.oamodule.beans;

import com.contrarywind.interfaces.IPickerViewData;

import java.io.Serializable;

/**
 * 作者: adam
 * 日期: 2022/4/14 - 14:58
 * 邮箱: itgaojian@163.com
 * 描述:
 */
public class MeetingRoomBean implements IPickerViewData, Serializable {

    private String roomAddress;
    private String roomEquipment;
    private String roomId;
    private String roomName;
    private String roomOpenDate;
    private String roomOpenEndTime;
    private String roomOpenStartTime;
    private String roomOpenStatus;
    private String roomType;
    private String roomTypeName;
    private String roomUserNum;

    public String getRoomAddress() {
        return roomAddress;
    }

    public void setRoomAddress(String roomAddress) {
        this.roomAddress = roomAddress;
    }

    public String getRoomEquipment() {
        return roomEquipment;
    }

    public void setRoomEquipment(String roomEquipment) {
        this.roomEquipment = roomEquipment;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getRoomOpenDate() {
        return roomOpenDate;
    }

    public void setRoomOpenDate(String roomOpenDate) {
        this.roomOpenDate = roomOpenDate;
    }

    public String getRoomOpenEndTime() {
        return roomOpenEndTime;
    }

    public void setRoomOpenEndTime(String roomOpenEndTime) {
        this.roomOpenEndTime = roomOpenEndTime;
    }

    public String getRoomOpenStartTime() {
        return roomOpenStartTime;
    }

    public void setRoomOpenStartTime(String roomOpenStartTime) {
        this.roomOpenStartTime = roomOpenStartTime;
    }

    public String getRoomOpenStatus() {
        return roomOpenStatus;
    }

    public void setRoomOpenStatus(String roomOpenStatus) {
        this.roomOpenStatus = roomOpenStatus;
    }

    public String getRoomType() {
        return roomType;
    }

    public void setRoomType(String roomType) {
        this.roomType = roomType;
    }

    public String getRoomTypeName() {
        return roomTypeName;
    }

    public void setRoomTypeName(String roomTypeName) {
        this.roomTypeName = roomTypeName;
    }

    public String getRoomUserNum() {
        return roomUserNum;
    }

    public void setRoomUserNum(String roomUserNum) {
        this.roomUserNum = roomUserNum;
    }

    @Override
    public String getPickerViewText() {
        return roomName;
    }
}
